## org.biojava.bio.structure
Interface AminoAcid

All Superinterfaces:
  Group

All Known Implementing Classes:
  AminoAcidImpl

    public interface AminoAcid

extends Group

A `Group` that represents an AminoAcid.

In PDB files information on AminoAcids can be observed in the SEQRES and in the ATOM records. Since frequently coordinates for some of the amino acids are missing, during parsing of the PDB files the SEQRES and the ATOM records are aligned and a whenever possible the AminoAcid objects are combined. Access to the SEQRES and ATOM sequence is possible through the `Chain` object. It is possible to distinguish between SEQRES and ATOM derived AminoAcids by `getRecordType()`.

AminoAcid inherits most from `HetatomImpl`. Adds a few AminoAcid specific methods.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Field Summary
`static String` `ATOMRECORD` Field to distribguish AminoAcids that have been created from SEQRES records and ATOM records.
`static String` `SEQRESRECORD` Field to distribguish AminoAcids that have been created from SEQRES records and ATOM records.

Method Summary
`Character` `getAminoType()` returns the name of the AA, in single letter code.
`Atom` `getC()` get C atom.
`Atom` `getCA()` get CA atom.
`Atom` `getCB()` get CB atom.
`Atom` `getN()` get N atom.
`Atom` `getO()` get O atom.
`String` `getRecordType()` Allows to distinguish between amino acids that are provided as ATOM records and a SEQRES records.
`Map<String,String>` `getSecStruc()` get secondary structure data .
`void` `setAminoType(Character aa)` set the name of the AA, in single letter code .
`void` `setRecordType(String recordName)` Allows to distinguish between amino acids that are provided as ATOM records and a SEQRES records.
`void` `setSecStruc(Map<String,String> secstr)` Specifies the secondary structure as a Map.
`String` `toString()` string representation.

Methods inherited from interface org.biojava.bio.structure.Group
`addAtom, clearAtoms, clone, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, getType, has3D, hasAminoAtoms, hasAtom, iterator, setAtoms, setParent, setPDBCode, setPDBFlag, setPDBName, setProperties, setProperty, size`

Field Detail

### ATOMRECORD

    static final String ATOMRECORD

  Field to distribguish AminoAcids that have been created from SEQRES records and ATOM records.

  See Also:
    Constant Field Values

### SEQRESRECORD

    static final String SEQRESRECORD

  Field to distribguish AminoAcids that have been created from SEQRES records and ATOM records.

  See Also:
    Constant Field Values

Method Detail

### setSecStruc

    void setSecStruc(Map<String,String> secstr)

  Specifies the secondary structure as a Map.

  Parameters:
    `secstr` - a Map object specifying the sec struc
  See Also:
    `getSecStruc()`

### getSecStruc

    Map<String,String> getSecStruc()

  get secondary structure data .

  Returns:
    a Map object representing the sec struc value
  See Also:
    `setSecStruc(java.util.Map<java.lang.String, java.lang.String>)`

### getN

    Atom getN()
              throws StructureException

  get N atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCA

    Atom getCA()
               throws StructureException

  get CA atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getC

    Atom getC()
              throws StructureException

  get C atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getO

    Atom getO()
              throws StructureException

  get O atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCB

    Atom getCB()
               throws StructureException

  get CB atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getAminoType

    Character getAminoType()

  returns the name of the AA, in single letter code.

  Returns:
    a Character object representing the amino type value
  See Also:
    `setAminoType(java.lang.Character)`

### setAminoType

    void setAminoType(Character aa)

  set the name of the AA, in single letter code .

  Parameters:
    `aa` - a Character object specifying the amino type value
  See Also:
    `getAminoType()`

### setRecordType

    void setRecordType(String recordName)

  Allows to distinguish between amino acids that are provided as ATOM records and a SEQRES records.

  Parameters:
    `recordName` - either ATOMRECORD or SEQRESRECORD
  See Also:
    `getRecordType()`

### getRecordType

    String getRecordType()

  Allows to distinguish between amino acids that are provided as ATOM records and a SEQRES records.

  Returns:
    the origin of this amino acid (ATOM or SEQRES records)
  See Also:
    `setRecordType(String)`

### toString

    String toString()

  string representation.

  Overrides:
    `toString` in class `Object`